Name:       simplevalidation
# upstream is pretty bad about version numbering
# this is a guess based on the version of a separate api "release" jar
Version:    1.0
Release:    0.5.SNAPSHOT%{?dist}
Summary:    A library for adding user-interface input validation to Swing applications
License:    GPLv2 or CDDL
URL:        http://kenai.com/projects/simplevalidation
# svn export -r331 https://svn.kenai.com/svn/simplevalidation~src/trunk/ simplevalidation-1.0-SNAPSHOT
# tar cJf simplevalidation-1.0-SNAPSHOT-20121212.tar.xz simplevalidation-1.0-SNAPSHOT
Source0:    http://kenai.com/projects/simplevalidation/downloads/download/validation-src.zip
Patch0:     simplevalidation-1.0-disable-doclint.patch

BuildArch:  noarch

BuildRequires:  jpackage-utils
BuildRequires:  java-devel

BuildRequires:  ant
BuildRequires:  dos2unix

Requires:   jpackage-utils
Requires:   java

%description
This is a simple library for quickly adding validation code to Swing
user-interfaces. It handles validating user input when the user changes a
component's value, showing error messages and decorating components to
indicate which component is the source of the problem. It contains a large
number of built-in validators to handle most common situations, such as
validating numbers, email addresses, urls and so forth.

The primary goal is to make it easy to retrofit validation code on existing
UIs without needing to rewrite anything or add more than a few lines of code.

%package javadoc
Summary:    Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}

%prep
%setup -q -c
%patch0 -p0

find . -name '*.class' -delete
find . -name '*.jar' -delete

%pom_xpath_remove "pom:project/pom:profiles" maven

%build

cd ValidationAPI
ant -Dplatforms.JDK_1.5.home=%{_jvmdir}/java jar javadoc

dos2unix dist/javadoc/package-list
dos2unix dist/javadoc/stylesheet.css

%install

mkdir -p %{buildroot}%{_javadir}
cp -a ValidationAPI/dist/ValidationAPI.jar %{buildroot}%{_javadir}/ValidationAPI.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 maven/pom.xml %{buildroot}%{_mavenpomdir}/JPP-ValidationAPI.pom
%add_maven_depmap JPP-ValidationAPI.pom ValidationAPI.jar -a "com.kenai:ValidationAPI"

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -a ValidationAPI/dist/javadoc/* %{buildroot}%{_javadocdir}/%{name}

%files -f .mfiles
%doc ValidationAPI/doc/overview.html
%doc ValidationAPI/doc/duckLogo.png
%{_javadir}/ValidationAPI.jar
%{_mavenpomdir}/*

%files javadoc
%{_javadocdir}/%{name}

%changelog
* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-0.5.SNAPSHOT
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 gil cattaneo <puntogil@libero.it> 1.0-0.4.SNAPSHOT
- Fix FTBFS: disable javadoc linting

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.3.SNAPSHOT
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 09 2014 Omair Majid <omajid@redhat.com> - 1.0-0.2.SNAPSHOT
- Use .mfiles instead of obsolete _mavendepmapfragdir macro
- Fix FTBFS

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.2.SNAPSHOT
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Sep 05 2013 gil cattaneo <puntogil@libero.it> 1.0-0.1.SNAPSHOT
- update to 1.0-SNAPSHOT

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Oct 3 2011 Omair Majid <omajid@redhat.com> - 0.4-1
- More updates based on review

* Mon Sep 26 2011 Omair Majid <omajid@redhat.com> - 0.4-1
- Update based on review

* Tue Jul 12 2011 Omair Majid <omajid@redhat.com> - 0.4-1
- First attempt
